{
    template:'${tmpl}',
    data:function(){
        return {
          multipleSelection: [],
          isSingleSelect:false,
        }
    },
    mounted:function(){

    },
    created:function(){
      /*console.log("xxxxxxxxxxxxxxxxxxxxyyy");
      this.$store.commit('increment');
      console.log(this.count);
      console.log("xxxxxxxxxxxxxxxxxxxxyyy");*/
    },
    methods:{
      onColFormater(row,column,cellvalue,index){
        if(column.property=="isPublish"){
          if(row["isPublish"]==1){
            return "已发表";
          }else{
            return "未发表";
          }
        }
        return cellvalue;
       },
       handleSelectionChange:function(val){
         this.multipleSelection = val;
         console.log(val);
       },
       headerCellStyle:function(){
         return {"background-color":"red"};
       },
       fetchData:function(){

       },
       rowClick:function(row,key){
        if(key=="mydetail"){
          this.$store.state.queryParam=row.orderNum;
          this.$router.push("/softwareorderdetail");
          return 
         }
     },
       fetchData:function(){

       }
    },
    computed: Vuex.mapState({
      count:state=>state.count,
      headStyle:function(){
        return {"background-color":"white"};
      }
    }),
    vname:"gsb-softwarecrsubmit"
}
